Skip to main content
GET
/
action-items
List action items
curl --request GET \
  --url https://sitevisit.app/api/v1/action-items \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "siteVisitId": "<string>",
      "propertyId": "<string>",
      "propertyName": "<string>",
      "title": "<string>",
      "evidenceImageUrls": [
        "<string>"
      ],
      "order": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "category": "<string>",
      "location": "<string>",
      "assignee": "<string>",
      "timestampSec": 123,
      "transcriptQuote": "<string>",
      "completedAt": "2023-11-07T05:31:56Z",
      "completedBy": "<string>",
      "completionNote": "<string>",
      "completionPhotoUrl": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
starting_after
string

ID of the last seen item from the previous page.

property_id
string
site_visit_id
string
status
enum<string>
Available options:
OPEN,
IN_PROGRESS,
DONE
priority
enum<string>
Available options:
LOW,
MEDIUM,
HIGH

Response

Paginated list of resources.

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required